# Gestion Certificat en Chinois (Mandarin)

## Description
[Auto-traduction en Chinois (Mandarin)] Le projet "Gestion Certificat" est une application web conçue pour simplifier la création, la gestion et la révocation des certificats numériques au sein d'une organisation. Il permet de gérer des autorités de certification (CA) racine et intermédiaires, ainsi que les certificats finaux pour divers services ou utilisateurs.

## Configuration

### Prérequis
[Auto-traduction en Chinois (Mandarin)] Pour faire fonctionner ce projet, vous aurez besoin de :
*   [Auto-traduction en Chinois (Mandarin)] Un serveur web (Nginx, Apache)
*   [Auto-traduction en Chinois (Mandarin)] PHP (version 8.0 ou ultérieure)
*   [Auto-traduction en Chinois (Mandarin)] Composer pour la gestion des dépendances PHP
*   [Auto-traduction en Chinois (Mandarin)] OpenSSL
*   [Auto-traduction en Chinois (Mandarin)] Une base de données (MySQL, MariaDB, ou PostgreSQL)
*   [Auto-traduction en Chinois (Mandarin)] (Optionnel) Docker et Docker Compose pour un déploiement conteneurisé facile.

### Variables d'environnement / Fichier de configuration
[Auto-traduction en Chinois (Mandarin)] La configuration principale de l'application se trouve dans `app/src/config/app.php`. Ce fichier contient :
*   [Auto-traduction en Chinois (Mandarin)] Les informations de connexion à la base de données (hôte, nom, utilisateur, mot de passe).
*   [Auto-traduction en Chinois (Mandarin)] Les chemins vers les configurations des CA et les scripts OpenSSL.
*   [Auto-traduction en Chinois (Mandarin)] Les paramètres de l'application comme le nom, l'environnement (développement/production), et la clé secrète de session.
[Auto-traduction en Chinois (Mandarin)] Il est crucial de sécuriser ce fichier et de ne pas exposer de données sensibles, surtout en production. Pour la base de données, les identifiants peuvent être injectés via des variables d'environnement si vous utilisez Docker.

## Installation

1.  **[Auto-traduction en Chinois (Mandarin)] Cloner le dépôt :**
    ```bash
    git clone https://votreserveur.git/gestion-certificat.git
    cd gestion-certificat
    ```

2.  **[Auto-traduction en Chinois (Mandarin)] Installer les dépendances PHP :**
    ```bash
    composer install --no-dev --optimize-autoloader
    ```
    [Auto-traduction en Chinois (Mandarin)] (Si vous êtes en environnement de développement, vous pouvez omettre `--no-dev`).

3.  **[Auto-traduction en Chinois (Mandarin)] Configurer le serveur web :**
    [Auto-traduction en Chinois (Mandarin)] Pointez la racine de votre serveur web (par exemple, le `root` de Nginx ou le `DocumentRoot` d'Apache) vers le répertoire `public/` du projet. Assurez-vous que la réécriture d'URL est activée pour que `public/index.php` gère toutes les requêtes.

4.  **[Auto-traduction en Chinois (Mandarin)] Initialiser la structure des CA et la base de données :**
    [Auto-traduction en Chinois (Mandarin)] Des scripts ou des commandes spécifiques au projet peuvent être nécessaires ici pour créer les répertoires des CA, générer la CA racine si elle n'existe pas, et initialiser le schéma de la base de données. Consultez la documentation spécifique du projet pour ces étapes.

5.  **[Auto-traduction en Chinois (Mandarin)] Permissions :**
    [Auto-traduction en Chinois (Mandarin)] Assurez-vous que le serveur web a les permissions d'écriture nécessaires pour les répertoires de logs, de cache, et potentiellement pour les répertoires où les certificats et clés sont stockés (selon la configuration).

## Fonctionnement
[Auto-traduction en Chinois (Mandarin)] Une fois l'application installée et configurée :
1.  [Auto-traduction en Chinois (Mandarin)] Accédez à l'application via votre navigateur web.
2.  [Auto-traduction en Chinois (Mandarin)] Connectez-vous avec un compte administrateur (créé lors de l'installation ou via une procédure initiale).
3.  [Auto-traduction en Chinois (Mandarin)] **Gestion des Périmètres Fonctionnels :** Créez des périmètres fonctionnels, qui correspondent souvent à des CA intermédiaires. Chaque périmètre aura sa propre CA intermédiaire signée par la CA racine de l'application.
4.  [Auto-traduction en Chinois (Mandarin)] **Création de Certificats :** Au sein d'un périmètre, vous pouvez générer des certificats pour des serveurs, des utilisateurs, etc. Ces certificats seront signés par la CA intermédiaire du périmètre.
5.  [Auto-traduction en Chinois (Mandarin)] **Révocation de Certificats :** Si un certificat est compromis ou n'est plus nécessaire, il peut être révoqué. La révocation est enregistrée et publiée via une Liste de Révocation de Certificats (CRL) et/ou un répondeur OCSP.
6.  [Auto-traduction en Chinois (Mandarin)] **Gestion des Utilisateurs :** Gérez les utilisateurs de l'application et leurs droits (administrateur, utilisateur simple).

[Retour au README principal](../../README.md)
